Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/case-types \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/case-types`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/case-types",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"items": [
{
"caseTypeCode": "COLLECTIONS",
"displayName": "Collections",
"defaultPriority": "NORMAL",
"serviceLevelMinutes": 1440,
"defaultQueueCode": "COLLECTIONS",
"reasons": [
{
"reasonCode": "DELINQUENCY_SIGNAL",
"displayName": "Delinquency signal",
"handlingMode": "WORKFLOW"
}
],
"fieldDefinitions": {
"sections": []
}
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}